Bug 553034 - add support for lofs and tmpfs to our SIGAR integration
add support for lofs and tmpfs to our SIGAR integration
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.3
other Other
high Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.hyperic.com/browse/SIGAR-195
: FutureFeature, SubBug
: 590800 (view as bug list)
Depends On:
Blocks: jon30-bugs
  Show dependency treegraph
 
Reported: 2010-01-06 16:43 EST by Mark Burchard
Modified: 2015-02-01 18:25 EST (History)
10 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:57:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
SolarisFileSystems (10.49 KB, image/png)
2011-09-08 06:00 EDT, Venkat
no flags Details
Screenshot_lofs (83.74 KB, image/png)
2011-09-09 06:00 EDT, Sunil Kondkar
no flags Details
Screenshot_tmpfs (84.55 KB, image/png)
2011-09-09 06:01 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Mark Burchard 2010-01-06 16:43:59 EST
Description of problem:

We need Hyperic's SIGAR platform libraries to support lofs and tmpfs.

Add to os/solaris/solaris_sigar.c: if (strEQ(type, "(lofs|tmpfs)")) so that these filesystems would be reported. No idea how complex it would be beyond that, as both lofs and tmpfs are somewhat "dynamic" (can be moved or changed on the fly, as long as no file handles are open on the volume). lofs is new in Solaris 10.

Note that other platforms may support lofs, but Solaris 10 is the only platform I can confirm as supporting it.
Comment 1 wes hayutin 2010-02-16 11:52:40 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:58:19 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Ian Springer 2010-05-12 10:43:19 EDT
SIGAR actually does expose the lofs and tmpfs fielsystems. We'd have to update our discovery code as follows to add support for them (thanks to Doug M from Hyperic for this info):

You'll see those with: java -jar sigar.jar df
Note the type will be 'unknown'. So you could put the logic in the caller (e.g. FileSystemDetector) to include these filesystems:

for (int i=0; i<fslist.length; i++) {
FileSystem fs = fslist[i];
String dirName = fs.getDirName();

switch (fs.getType()) { case FileSystem.TYPE_LOCAL_DISK: case FileSystem.TYPE_NETWORK: break; default: + if (!(fs.getDevName().equals("lofs") || fs.getDevName().equals("tmpfs")) continue; }
Comment 5 Corey Welton 2010-09-13 16:13:21 EDT
 ips - what would be required to support this?
Comment 6 Ian Springer 2010-09-14 20:09:42 EDT
Done (rev 2a60df38568690f9b2b6a555e212c3a6934ea011) and pushed to master. Will be in 4.0.
Comment 7 Ian Springer 2010-09-24 12:54:39 EDT
*** Bug 590800 has been marked as a duplicate of this bug. ***
Comment 8 Sunil Kondkar 2011-06-30 05:40:24 EDT
Verified on build#166

Executed below command on a Solaris box:

bash-2.05# java -jar sigar-1.6.5.132.jar df
Filesystem      Size Used Avail Use% Mounted on      Type
/dev/dsk/c0t0d0s0  65G 8.6G   56G  14% /               ufs/local
/proc             0    0     0     - /proc           proc/none
mnttab            0    0     0     - /etc/mnttab     mntfs/none
fd                0    0     0     - /dev/fd         fd/none
swap            4.7G  48K  4.7G    - /var/run        tmpfs/none
swap            4.7G  64K  4.7G    - /tmp            tmpfs/none
/dev/dsk/c0t0d0s7 7.6M 1.0M  5.8M  17% /unused         ufs/local
/dev/dsk/c0t1d0s7  67G 4.1G   63G   7% /export         ufs/local
/                65G 8.6G   56G  14% /tmp/zzz        lofs/none

Marking as verified.
Comment 9 Mike Foley 2011-08-09 11:11:08 EDT
per 8/9 jon/dev support call.  please retest as follows:

make sure file system types on solaris get inventoried and appear in the resource tree.
Comment 10 Mike Foley 2011-08-09 11:12:24 EDT
per 8/9 jon/dev support call.  please retest as follows:

make sure file system types on solaris get inventoried and appear in the resource tree.
Comment 11 Venkat 2011-09-08 06:00:21 EDT
Created attachment 522085 [details]
SolarisFileSystems
Comment 12 Venkat 2011-09-08 06:01:50 EDT
I mounted file systems (  lofs and tmpfs)  using mount commands 
mount -F lofs /sunil/test /sunil/test1
mount -F tmpfs /sunil/abc /sunil/def/

Sigar reports are displaying the tmpfs and lofs filsystems as below:

[root@-sun-netra-09 lib]# java -jar sigar-1.6.5.132.jar df
Filesystem      Size Used Avail Use% Mounted on      Type
/dev/dsk/c0t0d0s0 129G  10G  118G   8% /               ufs/local
/proc             0    0     0     - /proc           proc/none
mnttab            0    0     0     - /etc/mnttab     mntfs/none
fd                0    0     0     - /dev/fd         fd/none
swap            4.9G 104K  4.9G    - /var/run        tmpfs/none
/dev/dsk/c0t1d0s7 135G  11G  122G   9% /export         ufs/local
swap            4.9G 104K  4.9G    - /tmp            tmpfs/none
/sunil/abc      4.9G   0   4.9G    - /sunil/def      tmpfs/none
/sunil/test     129G  10G  118G   8% /sunil/test1    lofs/none
n0abos-0.bos.redhat.com:/vol/archives_mp1/archives 2.0T 777G  1.2T  39% /qa/archive     nfs/remote

And installed agent on the solaris box, and discovered with discover -f command.
And I had checked at UI, but it's not showing tmfs and lofs file systems.
Please find the attached snapshot for the reference (553034_FilesystemsShowing.png)


Solaris box details:

 Solaris 9 9/05 HW s9s_u9wos_06b SPARC

JON Build details:
JON 3.0.0 Beat1-7 build downloaded link
https://brewweb.devel.redhat.com//buildinfo?buildID=178186
Comment 13 Ian Springer 2011-09-08 10:28:17 EDT
Here's the related SIGAR issue: https://jira.hyperic.com/browse/SIGAR-195
Comment 14 Ian Springer 2011-09-08 10:59:18 EDT
[master da3676e] and [master ff79822] should fix this once and for all.
Comment 15 Sunil Kondkar 2011-09-09 05:58:39 EDT
Verified on build#392 (Version: 4.1.0-SNAPSHOT Build Number: 70a43d5)

The file types lofs and tmpfs on solaris are inventoried and appearing in the
resource tree. 
Please refer the screenshots for the lofs and tmpfs file types as displayed with the trait 'Drive Type'.
Comment 16 Sunil Kondkar 2011-09-09 06:00:15 EDT
Created attachment 522288 [details]
Screenshot_lofs
Comment 17 Sunil Kondkar 2011-09-09 06:01:19 EDT
Created attachment 522289 [details]
Screenshot_tmpfs
Comment 19 Heiko W. Rupp 2013-09-03 12:57:43 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.